Browse Source

propagate failed deps builds.

Unless we return a non-zero result from the deps target, any issues in
the build of a dependency will be masked.
Andreas Stenius 10 years ago
parent
commit
530ae30fcd
2 changed files with 2 additions and 2 deletions
  1. 1 1
      core/deps.mk
  2. 1 1
      erlang.mk

+ 1 - 1
core/deps.mk

@@ -35,7 +35,7 @@ PKG_FILE_URL ?= https://raw.githubusercontent.com/ninenines/erlang.mk/master/pac
 deps:: $(ALL_DEPS_DIRS)
 	@for dep in $(ALL_DEPS_DIRS) ; do \
 		if [ -f $$dep/GNUmakefile ] || [ -f $$dep/makefile ] || [ -f $$dep/Makefile ] ; then \
-			$(MAKE) -C $$dep ; \
+			$(MAKE) -C $$dep || exit $$? ; \
 		else \
 			echo "ERROR: No makefile to build dependency $$dep. Consider adding it to AUTOPATCH." ; \
 			exit 1 ; \

+ 1 - 1
erlang.mk

@@ -140,7 +140,7 @@ PKG_FILE_URL ?= https://raw.githubusercontent.com/ninenines/erlang.mk/master/pac
 deps:: $(ALL_DEPS_DIRS)
 	@for dep in $(ALL_DEPS_DIRS) ; do \
 		if [ -f $$dep/GNUmakefile ] || [ -f $$dep/makefile ] || [ -f $$dep/Makefile ] ; then \
-			$(MAKE) -C $$dep ; \
+			$(MAKE) -C $$dep || exit $$? ; \
 		else \
 			echo "ERROR: No makefile to build dependency $$dep. Consider adding it to AUTOPATCH." ; \
 			exit 1 ; \